# Rivet: static site genetator
River takes a source directory containing a the file sources and produces an
output directory that can actually be uploaded to a server.

## Dependencies
- [lowdown](https://kristaps.bsd.lv/lowdown/)
- POSIX utilities
- POSIX sh

## Examples
Generate site from directory to `cool_site`
```sh
$ rivet -o cool-site/ secret-sauce/ cool-url
```

The makefile I use to generate my site
```make
SRCDIR = src
DESTDIR = dst
DOMAIN = alemauri.eu

all:
	rivet -o ${DESTDIR} ${SRCDIR} ${DOMAIN}

test: all
	xdg-open ${DESTDIR}/index.html

install: all
	rsync -vmruLz --delete ${DESTDIR}/ www@${DOMAIN}:/www/

clean:
	rm -rf ${DESTDIR}
```

## Similar tools

- [saait](https://git.codemadness.org/saait/file/README.html)
- [ssg](https://www.romanzolotarev.com/ssg.html)
